Subject: Re: bug#18051: [Emacs-diffs] trunk r117726: Add string collation.

From: Michael Albinus <[email-masked]>
Date: Wed, 27 Aug 2014 23:37:35 +0200

Paul Eggert <[email-masked]> writes:

> Ah, sorry, missed that (it is a long thread...).  Makes sense.  I
> assume this is on someone's TODO list since it's not done that way
> now.

Eli, that means you or me :-)

I do not want to interfere your work, but in case you are busy with
other tasks, I could do. Pls let me know.

>> Perhaps binding a variable to the object will do.
>
> We could do both: i.e., give the comparison function an optional
> argument that defaults to the value of the bound variable.  I'd think
> the value should be a locale object, though, not a string like
> "en_US". And perhaps the object should also record whether the
> comparison is case-sensitive, and other stuff like that.

Good idea, that would also make Glenn happy. (That's not a joke, I mean
it seriously!)

Best regards, Michael.